# Created by pyp2rpm-3.3.4
%global pypi_name vttlib

Name:           python-%{pypi_name}
Version:        0.12.0
Release:        %mkrel 3
Summary:        Compile Visual TrueType assembly with FontTools
Group:          Development/Python
License:        MIT
URL:            https://github.com/daltonmaag/vttLib
Source0:        %{pypi_source vttLib}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(fonttools) >= 3.44
BuildRequires:  python3dist(pyparsing) >= 2.1.5
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(setuptools-scm)
BuildRequires:  python3dist(ufo2ft)
BuildRequires:  python3dist(ufolib2)
BuildRequires:  python3dist(wheel)

%description
Dump, merge and compile Visual TrueType data in UFO3 with FontTools.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Dump, merge and compile Visual TrueType data in UFO3 with FontTools.

%prep
%autosetup -n vttLib-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files vttLib

%check
%pytest

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.md


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 0.12.0-3.mga10
+ Revision: 2242517
- Mageia 10 Mass Rebuild

* Mon Mar 03 2025 wally <wally> 0.12.0-2.mga10
+ Revision: 2160178
- rebuild for python3.13

* Sun Feb 25 2024 daviddavid <daviddavid> 0.12.0-1.mga10
+ Revision: 2044131
- new version: 0.12.0
- rebuild for py3.12
- switch to pyproject

* Wed Apr 06 2022 umeabot <umeabot> 0.11.0-4.mga9
+ Revision: 1846213
- Mageia 9 Mass Rebuild

* Thu Feb 24 2022 mrambo3501 <mrambo3501> 0.11.0-3.mga9
+ Revision: 1783973
- rebuild for python-3.10

* Sat Jun 26 2021 wally <wally> 0.11.0-2.mga9
+ Revision: 1732560
- Rebuild for python 3.9

* Fri Jun 25 2021 wally <wally> 0.11.0-1.mga9
+ Revision: 1732272
- new version 0.11.0

* Sun May 17 2020 wally <wally> 0.9.0-1.mga8
+ Revision: 1584887
- imported package python-vttlib

